////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1995-2011 Xilinx, Inc.  All rights reserved.
////////////////////////////////////////////////////////////////////////////////
//   ____  ____ 
//  /   /\/   / 
// /___/  \  /    Vendor: Xilinx 
// \   \   \/     Version : 13.2
//  \   \         Application : sch2hdl
//  /   /         Filename : io_connections.vf
// /___/   /\     Timestamp : 06/20/2012 14:33:00
// \   \  /  \ 
//  \___\/\___\ 
//
//Command: sch2hdl -intstyle ise -family xc9500xl -verilog C:/E/Documents/academic/classes/ECED2200/Labs/DigitalTrainer_Simple/io_connections.vf -w C:/E/Documents/academic/classes/ECED2200/Labs/DigitalTrainer_Simple/io_connections.sch
//Design Name: io_connections
//Device: xc9500xl
//Purpose:
//    This verilog netlist is translated from an ECS schematic.It can be 
//    synthesized and simulated, but it should not be modified. 
//
`timescale 1ns / 1ps

module OBUFE_MXILINX_io_connections(E, 
                                    I, 
                                    O);

    input E;
    input I;
   output O;
   
   wire T;
   
   OBUFT  I_36_10 (.I(I), 
                  .T(T), 
                  .O(O));
   INV  I_36_12 (.I(E), 
                .O(T));
endmodule
`timescale 1ns / 1ps

module io_connections(CLK1HZ, 
                      CLK8MHZ, 
                      RST, 
                      SW1, 
                      SW2, 
                      SW3, 
                      SW4, 
                      SW5, 
                      DISP7SEG_A, 
                      DISP7SEG_B, 
                      DISP7SEG_C, 
                      DISP7SEG_COM1, 
                      DISP7SEG_COM2, 
                      DISP7SEG_D, 
                      DISP7SEG_DOT, 
                      DISP7SEG_E, 
                      DISP7SEG_F, 
                      DISP7SEG_G, 
                      LED1, 
                      LED2, 
                      LED3, 
                      LED4, 
                      LED5, 
                      LED6, 
                      LED7, 
                      LED8);

    input CLK1HZ;
    input CLK8MHZ;
    input RST;
   (* KEEP = "TRUE" *) 
    input SW1;
    input SW2;
    input SW3;
    input SW4;
    input SW5;
   output DISP7SEG_A;
   output DISP7SEG_B;
   output DISP7SEG_C;
   output DISP7SEG_COM1;
   output DISP7SEG_COM2;
   output DISP7SEG_D;
   output DISP7SEG_DOT;
   output DISP7SEG_E;
   output DISP7SEG_F;
   output DISP7SEG_G;
   output LED1;
   output LED2;
   output LED3;
   output LED4;
   output LED5;
   output LED6;
   output LED7;
   output LED8;
   
   wire XLXN_46;
   wire XLXN_52;
   wire XLXN_54;
   wire XLXN_55;
   wire XLXN_56;
   wire XLXN_57;
   wire XLXN_58;
   wire XLXN_59;
   wire XLXN_60;
   wire XLXN_61;
   wire XLXN_62;
   wire XLXN_63;
   wire XLXN_64;
   wire XLXN_65;
   wire XLXN_66;
   wire XLXN_67;
   wire XLXN_68;
   wire XLXN_69;
   wire XLXN_70;
   wire XLXN_71;
   wire XLXN_72;
   wire XLXN_73;
   wire XLXN_74;
   wire XLXN_75;
   wire XLXN_76;
   
   IBUF  XLXI_1 (.I(SW1), 
                .O(XLXN_54));
   IBUF  XLXI_2 (.I(SW2), 
                .O(XLXN_55));
   IBUF  XLXI_3 (.I(SW3), 
                .O(XLXN_56));
   IBUF  XLXI_4 (.I(SW4), 
                .O(XLXN_57));
   IBUF  XLXI_5 (.I(SW5), 
                .O(XLXN_58));
   (* HU_SET = "XLXI_34_7" *) 
   OBUFE_MXILINX_io_connections  XLXI_34 (.E(XLXN_52), 
                                         .I(XLXN_75), 
                                         .O(DISP7SEG_COM1));
   (* HU_SET = "XLXI_35_8" *) 
   OBUFE_MXILINX_io_connections  XLXI_35 (.E(XLXN_52), 
                                         .I(XLXN_76), 
                                         .O(DISP7SEG_COM2));
   (* HU_SET = "XLXI_36_2" *) 
   OBUFE_MXILINX_io_connections  XLXI_36 (.E(XLXN_52), 
                                         .I(XLXN_67), 
                                         .O(DISP7SEG_A));
   (* HU_SET = "XLXI_37_3" *) 
   OBUFE_MXILINX_io_connections  XLXI_37 (.E(XLXN_52), 
                                         .I(XLXN_68), 
                                         .O(DISP7SEG_B));
   (* HU_SET = "XLXI_38_4" *) 
   OBUFE_MXILINX_io_connections  XLXI_38 (.E(XLXN_52), 
                                         .I(XLXN_69), 
                                         .O(DISP7SEG_C));
   (* HU_SET = "XLXI_39_0" *) 
   OBUFE_MXILINX_io_connections  XLXI_39 (.E(XLXN_52), 
                                         .I(XLXN_70), 
                                         .O(DISP7SEG_D));
   (* HU_SET = "XLXI_40_1" *) 
   OBUFE_MXILINX_io_connections  XLXI_40 (.E(XLXN_52), 
                                         .I(XLXN_71), 
                                         .O(DISP7SEG_E));
   (* HU_SET = "XLXI_44_5" *) 
   OBUFE_MXILINX_io_connections  XLXI_44 (.E(XLXN_52), 
                                         .I(XLXN_72), 
                                         .O(DISP7SEG_F));
   (* HU_SET = "XLXI_45_6" *) 
   OBUFE_MXILINX_io_connections  XLXI_45 (.E(XLXN_52), 
                                         .I(XLXN_73), 
                                         .O(DISP7SEG_G));
   (* HU_SET = "XLXI_48_9" *) 
   OBUFE_MXILINX_io_connections  XLXI_48 (.E(XLXN_52), 
                                         .I(XLXN_74), 
                                         .O(DISP7SEG_DOT));
   (* HU_SET = "XLXI_49_10" *) 
   OBUFE_MXILINX_io_connections  XLXI_49 (.E(XLXN_52), 
                                         .I(XLXN_59), 
                                         .O(LED1));
   (* HU_SET = "XLXI_50_11" *) 
   OBUFE_MXILINX_io_connections  XLXI_50 (.E(XLXN_52), 
                                         .I(XLXN_60), 
                                         .O(LED2));
   (* HU_SET = "XLXI_51_12" *) 
   OBUFE_MXILINX_io_connections  XLXI_51 (.E(XLXN_52), 
                                         .I(XLXN_61), 
                                         .O(LED3));
   (* HU_SET = "XLXI_52_13" *) 
   OBUFE_MXILINX_io_connections  XLXI_52 (.E(XLXN_52), 
                                         .I(XLXN_62), 
                                         .O(LED4));
   (* HU_SET = "XLXI_53_14" *) 
   OBUFE_MXILINX_io_connections  XLXI_53 (.E(XLXN_52), 
                                         .I(XLXN_63), 
                                         .O(LED5));
   (* HU_SET = "XLXI_54_15" *) 
   OBUFE_MXILINX_io_connections  XLXI_54 (.E(XLXN_52), 
                                         .I(XLXN_64), 
                                         .O(LED6));
   (* HU_SET = "XLXI_55_16" *) 
   OBUFE_MXILINX_io_connections  XLXI_55 (.E(XLXN_52), 
                                         .I(XLXN_65), 
                                         .O(LED7));
   (* HU_SET = "XLXI_56_17" *) 
   OBUFE_MXILINX_io_connections  XLXI_56 (.E(XLXN_52), 
                                         .I(XLXN_66), 
                                         .O(LED8));
   IBUF  XLXI_57 (.I(RST), 
                 .O(XLXN_46));
   INV  XLXI_58 (.I(XLXN_46), 
                .O(XLXN_52));
   IBUF  XLXI_59 (.I(CLK1HZ), 
                 .O());
   IBUF  XLXI_60 (.I(CLK8MHZ), 
                 .O());
endmodule
